%define majver %(echo %version | cut -d. -f1-2)

Name:          qt5-qtdatavis3d
Version:       5.15.7
Release:       1mamba
Summary:       Qt5 data visualization component
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/5.15/%{version}/submodules/qtdatavis3d-everywhere-opensource-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END

%description
Qt5 data visualization component.

%package -n libQt5DataVisualization
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n libQt5DataVisualization
This package contains shared libraries for %{name}.

%package -n libQt5DataVisualization-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libQt5DataVisualization = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libQt5DataVisualization-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n qtdatavis3d-everywhere-src-%{version}

%build
%_qt5_qmake

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALL_ROOT=%{buildroot} STRIP=/bin/true

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libQt5DataVisualization -p /sbin/ldconfig
%postun -n libQt5DataVisualization -p /sbin/ldconfig

%files -n libQt5DataVisualization
%defattr(-,root,root)
%{_libdir}/libQt5DataVisualization.so.*
%dir %{_libdir}/qt5/qml/QtDataVisualization
%dir %{_libdir}/qt5/qml/QtDataVisualization/designer
%{_libdir}/qt5/qml/QtDataVisualization/designer/*
%{_libdir}/qt5/qml/QtDataVisualization/libdatavisualizationqml2.so
%{_libdir}/qt5/qml/QtDataVisualization/plugins.qmltypes
%{_libdir}/qt5/qml/QtDataVisualization/qmldir
%doc LICENSE.*

%files -n libQt5DataVisualization-devel
%defattr(-,root,root)
%dir %{_includedir}/qt5/QtDataVisualization
%{_includedir}/qt5/QtDataVisualization/*
%{_libdir}/libQt5DataVisualization.prl
%{_libdir}/libQt5DataVisualization.so
%{_libdir}/qt5/mkspecs/modules/qt_lib_datavisualization.pri
%{_libdir}/qt5/mkspecs/modules/qt_lib_datavisualization_private.pri
%{_libdir}/pkgconfig/Qt5DataVisualization.pc
%dir %{_libdir}/cmake/Qt5DataVisualization
%{_libdir}/cmake/Qt5DataVisualization/Qt5DataVisualizationConfig*.cmake
%doc README

%changelog
* Mon Nov 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.7-1mamba
- update to 5.15.7

* Sat Nov 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-2mamba
- bump release

* Fri Nov 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
